[CentOS] Inquiry:yum?

Barry Brimer lists at brimer.org
Thu Dec 24 06:21:51 UTC 2009


> With many thanks for your help , please let me know why I am receiving the
> followings ?
> [root at mss-1 tmp]# rpm -Uvh yum-3.2.22-20.el5.centos.noarch.rpm
> warning: yum-3.2.22-20.el5.centos.noarch.rpm: Header V3 DSA signature:
> NOKEY, key ID e8562897
> error: Failed dependencies:
>        python-elementtree is needed by yum-3.2.22-20.el5.centos.noarch
>        python-iniparse is needed by yum-3.2.22-20.el5.centos.noarch
>        python-sqlite is needed by yum-3.2.22-20.el5.centos.noarch
>        urlgrabber >= 3.1.0 is needed by yum-3.2.22-20.el5.centos.noarch
>        yum-fastestmirror is needed by yum-3.2.22-20.el5.centos.noarch
>        yum-metadata-parser >= 1.1.0 is needed by
> yum-3.2.22-20.el5.centos.noarch

You need to get the packages listed above that are dependencies of yum. 
Download each of these packages from the same mirror site you downloaded 
the yum package from.  Put them all in the same directory (without other 
RPMs) and run "rpm -Uvh *.rpm"

Barry


More information about the CentOS mailing list